Bug 487230 - buildinstall generates invalid .treeinfo, breaking virt-install
buildinstall generates invalid .treeinfo, breaking virt-install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-02-24 16:47 EST by Will Woods
Modified: 2009-03-07 06:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 06:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-02-24 16:47:44 EST
Current (20090224) rawhide .treeinfo has:
  [images-i386]
  initrd = images/pxeboot/initrd.img
  boot.iso = images/boot.iso
  kernel = images/pxeboot/vmlinuz
which is normal, but the [general] section says:
  arch = i586

buildinstall passes --arch i586 to both mk-images and maketreeinfo.py. mk-images changes its arch to i386 (which is correct) but maketreeinfo.py was never informed of the change.

This causes virt-install (and other tools) to be unable to find the images-$arch section (which must *always* be present), making it unable to install Rawhide.

I think the proper fix is to pass 'i386' (i.e. basearch) to both mk-images and maketreeinfo.py. 

A patch been sent to anaconda-devel-list for review.
Comment 1 Chris Lumens 2009-02-25 17:42:13 EST
Committed and pushed your patches.  This should be fixed in up the next build of anaconda.  Thanks.
Comment 2 Julian Sikorski 2009-03-07 05:55:04 EST
I was able to get to the graphical stage of anaconda with yesterday's rawhide, so I believe this is fixed.

Note You need to log in before you can comment on or make changes to this bug.